Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class MessageProcessor

    java.lang.Object
      com.vordel.circuit.FilterContainer
          com.vordel.circuit.MessageProcessor

Direct Known Subclasses:
  CircuitDelegateProcessor, DelegatingProcessor, HTTPBodyParserProcessor

    public abstract class MessageProcessor

extends FilterContainer

A FilterContainer that is used to implement the underlying processing functionality of a Filter.

Field Summary
`protected int` | `logMask`
`protected java.lang.String` | `logMaskType`

Constructor Summary
`MessageProcessor()`

Method Summary
`void` | `filterAttached(FilterConfigureContext ctx, Entity entity)` Called on a filter's container when the filter is configured.
`void` | `filterDetached()`
`java.lang.String` | `getCategory()` Get the category of this processor
`int` | `getLogMask(Message m)`
`abstract boolean` | `invoke(CircuitInvocation c, Message m)` invoked by circuit to act on a message
`void` | `logFailure(Message m, java.lang.String circuitName)` Default action for failure logging event
`void` | `logFatal(Message m, java.lang.String circuitName)` Default action for fatal logging event
`void` | `logMessagePayload(Message m, java.lang.String circuitName, com.vordel.log.LogFormatter formatter)` Default action for a payload logging event
`void` | `logSuccess(Message m, java.lang.String circuitName)` Default action for a successful logging event
`protected void` | `report(java.lang.String msg)`
`protected void` | `report(java.lang.String msg, java.lang.Throwable t)`
`java.lang.String` | `toString()`

Methods inherited from class com.vordel.circuit.FilterContainer
`configureFilter, createFilterContainer, getFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logMask

    protected int logMask

### logMaskType

    protected java.lang.String logMaskType

Constructor Detail

### MessageProcessor

    public MessageProcessor()

Method Detail

### filterAttached

    public void filterAttached(FilterConfigureContext ctx,
                               Entity entity)
                        throws EntityStoreException

  Description copied from class: `FilterContainer`
  Called on a filter's container when the filter is configured. Any domain-specific initialisation of the filter container can be done at this point. This will be called at least once when the filter attaches.

  Overrides:
    `filterAttached` in class `FilterContainer`
  Parameters:
    `ctx` - configuration context for the filter attached to this container.
  Throws:
    `EntityStoreException`

### filterDetached

    public void filterDetached()

  Overrides:
    `filterDetached` in class `FilterContainer`

### invoke

    public abstract boolean invoke(CircuitInvocation c,
                                   Message m)
                            throws CircuitAbortException

  invoked by circuit to act on a message

  Parameters:
    `c` - The CircuitInvocation context, including the filter's owner circuit.
    `m` - The message
  Returns:
    predicate indicating success of filter execution
  Throws:
    `CircuitAbortException`

### getCategory

    public java.lang.String getCategory()

  Get the category of this processor

  Returns:
    The category

### logFatal

    public void logFatal(Message m,
                         java.lang.String circuitName)
                  throws CircuitAbortException

  Default action for fatal logging event

  Throws:
    `CircuitAbortException`

### logFailure

    public void logFailure(Message m,
                           java.lang.String circuitName)
                    throws CircuitAbortException

  Default action for failure logging event

  Throws:
    `CircuitAbortException`

### logSuccess

    public void logSuccess(Message m,
                           java.lang.String circuitName)
                    throws CircuitAbortException

  Default action for a successful logging event

  Throws:
    `CircuitAbortException`

### logMessagePayload

    public void logMessagePayload(Message m,
                                  java.lang.String circuitName,
                                  com.vordel.log.LogFormatter formatter)
                           throws java.io.IOException,
                                  com.vordel.log.LoggingException

  Default action for a payload logging event

  Throws:
    `java.io.IOException`
    `com.vordel.log.LoggingException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### report

    protected final void report(java.lang.String msg,
                                java.lang.Throwable t)

### report

    protected final void report(java.lang.String msg)

### getLogMask

    public int getLogMask(Message m)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel